Package com.independentsoft.office.spreadsheet.extensions

# Class X14DataBar

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14DataBar

public class X14DataBar extends Object
Represents a data bar rule definition (x14:dataBar element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14DataBar()`
  Instantiates a new x14 data bar.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14DataBar`
  `clone()`
  `X14Color`
  `getAxisColor()`
  Gets the axis color.
  `String`
  `getAxisPosition()`
  Gets the axis position ("automatic", "middle" or "none").
  `Boolean`
  `getBorder()`
  Gets whether the data bar has a border.
  `X14Color`
  `getBorderColor()`
  Gets the border color.
  `String`
  `getDirection()`
  Gets the bar direction ("context", "leftToRight" or "rightToLeft").
  `Boolean`
  `getGradient()`
  Gets whether the data bar uses a gradient fill.
  `Integer`
  `getMaxLength()`
  Gets the maximum bar length as a percentage of the cell width.
  `Integer`
  `getMinLength()`
  Gets the minimum bar length as a percentage of the cell width.
  `Boolean`
  `getNegativeBarBorderColorSameAsPositive()`
  Gets whether negative bars use the positive border color.
  `Boolean`
  `getNegativeBarColorSameAsPositive()`
  Gets whether negative bars use the positive fill color.
  `X14Color`
  `getNegativeBorderColor()`
  Gets the border color for negative values.
  `X14Color`
  `getNegativeFillColor()`
  Gets the fill color for negative values.
  `List<X14ConditionalFormattingValueObject>`
  `getValueObjects()`
  Gets the value objects defining the minimum and maximum thresholds.
  `void`
  `setAxisColor​(X14Color axisColor)`
  Sets the axis color.
  `void`
  `setAxisPosition​(String axisPosition)`
  Sets the axis position ("automatic", "middle" or "none").
  `void`
  `setBorder​(Boolean border)`
  Sets whether the data bar has a border.
  `void`
  `setBorderColor​(X14Color borderColor)`
  Sets the border color.
  `void`
  `setDirection​(String direction)`
  Sets the bar direction ("context", "leftToRight" or "rightToLeft").
  `void`
  `setGradient​(Boolean gradient)`
  Sets whether the data bar uses a gradient fill.
  `void`
  `setMaxLength​(Integer maxLength)`
  Sets the maximum bar length as a percentage of the cell width.
  `void`
  `setMinLength​(Integer minLength)`
  Sets the minimum bar length as a percentage of the cell width.
  `void`
  `setNegativeBarBorderColorSameAsPositive​(Boolean negativeBarBorderColorSameAsPositive)`
  Sets whether negative bars use the positive border color.
  `void`
  `setNegativeBarColorSameAsPositive​(Boolean negativeBarColorSameAsPositive)`
  Sets whether negative bars use the positive fill color.
  `void`
  `setNegativeBorderColor​(X14Color negativeBorderColor)`
  Sets the border color for negative values.
  `void`
  `setNegativeFillColor​(X14Color negativeFillColor)`
  Sets the fill color for negative values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14DataBar

    public X14DataBar()
    Instantiates a new x14 data bar.

- ## Method Details

  - ### clone

    public X14DataBar clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMinLength

    public Integer getMinLength()
    Gets the minimum bar length as a percentage of the cell width.
    Returns:
      the minimum bar length

  - ### setMinLength

    public void setMinLength​(Integer minLength)
    Sets the minimum bar length as a percentage of the cell width.
    Parameters:
      `minLength` - the new minimum bar length

  - ### getMaxLength

    public Integer getMaxLength()
    Gets the maximum bar length as a percentage of the cell width.
    Returns:
      the maximum bar length

  - ### setMaxLength

    public void setMaxLength​(Integer maxLength)
    Sets the maximum bar length as a percentage of the cell width.
    Parameters:
      `maxLength` - the new maximum bar length

  - ### getBorder

    public Boolean getBorder()
    Gets whether the data bar has a border.
    Returns:
      whether the data bar has a border

  - ### setBorder

    public void setBorder​(Boolean border)
    Sets whether the data bar has a border.
    Parameters:
      `border` - the new border flag

  - ### getGradient

    public Boolean getGradient()
    Gets whether the data bar uses a gradient fill.
    Returns:
      whether the data bar uses a gradient fill

  - ### setGradient

    public void setGradient​(Boolean gradient)
    Sets whether the data bar uses a gradient fill.
    Parameters:
      `gradient` - the new gradient flag

  - ### getDirection

    public String getDirection()
    Gets the bar direction ("context", "leftToRight" or "rightToLeft").
    Returns:
      the bar direction

  - ### setDirection

    public void setDirection​(String direction)
    Sets the bar direction ("context", "leftToRight" or "rightToLeft").
    Parameters:
      `direction` - the new bar direction

  - ### getNegativeBarColorSameAsPositive

    public Boolean getNegativeBarColorSameAsPositive()
    Gets whether negative bars use the positive fill color.
    Returns:
      whether negative bars use the positive fill color

  - ### setNegativeBarColorSameAsPositive

    public void setNegativeBarColorSameAsPositive​(Boolean negativeBarColorSameAsPositive)
    Sets whether negative bars use the positive fill color.
    Parameters:
      `negativeBarColorSameAsPositive` - the new negative bar color same as positive flag

  - ### getNegativeBarBorderColorSameAsPositive

    public Boolean getNegativeBarBorderColorSameAsPositive()
    Gets whether negative bars use the positive border color.
    Returns:
      whether negative bars use the positive border color

  - ### setNegativeBarBorderColorSameAsPositive

    public void setNegativeBarBorderColorSameAsPositive​(Boolean negativeBarBorderColorSameAsPositive)
    Sets whether negative bars use the positive border color.
    Parameters:
      `negativeBarBorderColorSameAsPositive` - the new negative bar border color same as positive flag

  - ### getAxisPosition

    public String getAxisPosition()
    Gets the axis position ("automatic", "middle" or "none").
    Returns:
      the axis position

  - ### setAxisPosition

    public void setAxisPosition​(String axisPosition)
    Sets the axis position ("automatic", "middle" or "none").
    Parameters:
      `axisPosition` - the new axis position

  - ### getValueObjects

    public List<X14ConditionalFormattingValueObject> getValueObjects()
    Gets the value objects defining the minimum and maximum thresholds.
    Returns:
      the value objects

  - ### getBorderColor

    public X14Color getBorderColor()
    Gets the border color.
    Returns:
      the border color

  - ### setBorderColor

    public void setBorderColor​(X14Color borderColor)
    Sets the border color.
    Parameters:
      `borderColor` - the new border color

  - ### getNegativeFillColor

    public X14Color getNegativeFillColor()
    Gets the fill color for negative values.
    Returns:
      the fill color for negative values

  - ### setNegativeFillColor

    public void setNegativeFillColor​(X14Color negativeFillColor)
    Sets the fill color for negative values.
    Parameters:
      `negativeFillColor` - the new fill color for negative values

  - ### getNegativeBorderColor

    public X14Color getNegativeBorderColor()
    Gets the border color for negative values.
    Returns:
      the border color for negative values

  - ### setNegativeBorderColor

    public void setNegativeBorderColor​(X14Color negativeBorderColor)
    Sets the border color for negative values.
    Parameters:
      `negativeBorderColor` - the new border color for negative values

  - ### getAxisColor

    public X14Color getAxisColor()
    Gets the axis color.
    Returns:
      the axis color

  - ### setAxisColor

    public void setAxisColor​(X14Color axisColor)
    Sets the axis color.
    Parameters:
      `axisColor` - the new axis color